Package docking.theme.gui

# Class ThemeTableContext<T>

java.lang.Object
docking.DefaultActionContext
docking.theme.gui.ThemeTableContext<T>

Type Parameters:
  `T` - the resource type (Color, Font, or Icon)

All Implemented Interfaces:
  `ActionContext`

public class ThemeTableContext<T> extends DefaultActionContext
ActionContext for ThemeDialog tables

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ThemeTableContext(ThemeValue<T> currentValue, ThemeValue<T> themeValue, ThemeTable themeTable)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ThemeValue<T>`
  `getCurrentValue()`
  Returns the currentValue of the selected table row
  `ThemeTable`
  `getThemeTable()`
  Returns the theme table for this context
  `ThemeValue<T>`
  `getThemeValue()`
  Returns the original theme value of the selected table row
  `boolean`
  `isChanged()`
  Returns true if the current value is not the same as the original theme value for the selected table row

  ### Methods inherited from class docking.DefaultActionContext

  `getComponentProvider, getContextObject, getEventClickModifiers, getMouseEvent, getSourceComponent, getSourceObject, hasAnyEventClickModifiers, setContextObject, setEventClickModifiers, setMouseEvent, setSourceComponent, setSourceObject, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ThemeTableContext

    public ThemeTableContext(ThemeValue<T> currentValue, ThemeValue<T> themeValue, ThemeTable themeTable)

- ## Method Details

  - ### getThemeTable

    public ThemeTable getThemeTable()
    Returns the theme table for this context
    Returns:
      the table

  - ### getCurrentValue

    public ThemeValue<T> getCurrentValue()
    Returns the currentValue of the selected table row
    Returns:
      the currentValue of the selected table row

  - ### getThemeValue

    public ThemeValue<T> getThemeValue()
    Returns the original theme value of the selected table row
    Returns:
      the original theme value of the selected table row

  - ### isChanged

    public boolean isChanged()
    Returns true if the current value is not the same as the original theme value for the selected table row
    Returns:
      true if the current value is not the same as the original theme value for the selected table row